package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_Strategy_attachEnv {
  protected Map env;
  public Map get_env() { return env; }
  public void set_env(Map new_env) { env = new_env; }
  public __V_Strategy_attachEnv() { super(); }
  public __V_Strategy_attachEnv(Map env) {
    super();
    set_env(env);
  }
  public void before(StrategyReference host) { host.env = env; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
